./dlv -silent $1 > /tmp/resultats.txt
#./dlv -silent ./robin-deon.asp > /tmp/resultats.txt
#./dlv -silent ./robin-cons.asp > /tmp/resultats.txt


clear

 cat /tmp/resultats.txt | perl -ne 's/, /\n/g;print' > /tmp/resultats2.txt

######[ AWARENESS PROCESS ]######

 grep -v 'agent(' /tmp/resultats2.txt | # suppression des déclarations des agents
grep -v 'state(' | # suppression des déclarations d'états

### Masquage des agents
 grep -v '(prince_john' |
 grep -v '(marian' |
 grep -v '(peter' |
 grep -v '(little_john' |
 grep -v '(paul' |
 grep -v '(friar_tuck' |
# grep -v '(robin_hood' |

### Situation Awareness
 grep -v 'man' | # suppression des déclarations de sexe
 grep -v 'married' | # suppression des déclarations d'etat marital
 grep -v 'poor' | # suppression des déclarations de pauvreté
 grep -v 'rich' | # suppression des déclarations de richesse
 grep -v 'noble' | # suppression des déclarations de noblesse

######[ EVALUATION PROCESS ]######

 grep -v 'action('    | # suppression des déclarations des actions
 grep -v 'condition(' | # suppression des déclarations de conditions
 grep -v 'consequence(' | # suppression des déclarations de conséquences
 grep -v 'desire('   |  # suppression des déclarations de désir
 grep -v 'desirableAction(' | # suppression des déductions de désirabilité
 grep -v 'possibleAction(' | # suppression des déductions de capacité

######[ GOODNESS PROCESS ]######
 grep -v 'criminal' | # suppression des déclarations de criminalité
 grep -v 'generous'  | # suppression du value support de générosité
 grep -v 'honest'  | # suppression du value support d'honeteté
 grep -v 'faithful' | # suppression du value support de fidélité
 grep -v 'moral(' | # suppression des déductions de moralité
 grep -v 'moralAction(' | # suppression des déductions de moralité

######[ RIGHTNESS PROCESS ]######
#grep -v 'ethPrinciple(' | # suppression des déductions d'éthique
grep -v 'prefEthics(' | # suppression des déductions de préférence
grep -v 'existBetter(' #| # suppression des déductions de preference
#grep -v 'ethicalJudgment' # suppression des déductions de jugement

# grep -v 'possible' # suppression des déductions de possibilité
#cat /tmp/resultats.txt
